Mac Osx, impossible to install patch 2.5

  • Hi,

    on my MacBook Pro with Mac OS 10.12.3, it's not possible to install the new patch 2.5.

    I just reinstalled the game and it's the same thing, I click on update button, I start the game and when start login, there is a windows who say '' you do need install the new patch before playing'' ....

    Do you know why ?

    Thx
  • jawsphoto please start a new thread with troubleshooting you have completed and any errors you see. The latest version of Max OS X is 10.13. Thank you.